org.jboss.logging.processor.model

## Interface MessageInterface

All Superinterfaces:
  Comparable<MessageInterface>, JavaDocComment, MessageObject, MessageObjectType

    public interface MessageInterface
    extends Comparable<MessageInterface>, MessageObject, MessageObjectType, JavaDocComment

Date: 28.07.2011

Author:
  James R. Perkins

### Nested Class Summary

Nested Classes
`static class` `MessageInterface.AnnotatedType`

### Method Summary

Methods
`Set<MessageInterface>` `extendedInterfaces()` A set of qualified interface names this interface extends or an empty set.
`boolean` `extendsLoggerInterface()` Checks the interface to see if the `logger interface` is being extended in this interface.
`MessageInterface.AnnotatedType` `getAnnotatedType()` Returns the annotation type on the interface.
`int` `getIdLength()` The length to pad the id with.
`String` `loggingFQCN()` The fully qualified class name to use for log methods.
`Collection<MessageMethod>` `methods()` A collection of all the methods this interface needs to implement.
`String` `name()` The qualified name of the message interface.
`String` `packageName()` The package name of the message interface.
`String` `projectCode()` The project code for the message interface or `null` if `getAnnotatedType()` returns `MessageInterface.AnnotatedType.NONE`.
`String` `simpleName()` The name of the interface without the package.
`List<org.jboss.logging.annotations.ValidIdRange>` `validIdRanges()` Returns a list of `valid id ranges`.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.jboss.logging.processor.model.MessageObjectType

`isAssignableFrom, isSameAs, isSubtypeOf, type`

### Methods inherited from interface org.jboss.logging.processor.model.MessageObject

`reference`

### Methods inherited from interface org.jboss.logging.processor.model.JavaDocComment

`getComment`

### Method Detail

#### extendsLoggerInterface

    boolean extendsLoggerInterface()

Checks the interface to see if the `logger interface` is being extended in this interface.

Returns:
  `true` if this interface extends the logger interface, otherwise `false`.

#### extendedInterfaces

    Set<MessageInterface> extendedInterfaces()

A set of qualified interface names this interface extends or an empty set.

Returns:
  a set of interface names or an empty set.

#### methods

    Collection<MessageMethod> methods()

A collection of all the methods this interface needs to implement.

Returns:
  a collection of methods.

#### projectCode

    String projectCode()

The project code for the message interface or `null` if `getAnnotatedType()` returns `MessageInterface.AnnotatedType.NONE`.

Returns:
  the project code or `null` if `getAnnotatedType()` returns `MessageInterface.AnnotatedType.NONE`

#### name

    String name()

The qualified name of the message interface.

Specified by:
  `name` in interface `MessageObject`
Returns:
  the qualified name.

#### packageName

    String packageName()

The package name of the message interface.

Returns:
  the package name.

#### simpleName

    String simpleName()

The name of the interface without the package.

Returns:
  the simple interface name.

#### loggingFQCN

    String loggingFQCN()

The fully qualified class name to use for log methods. This will generally be the same result as `name()`.

Returns:
  the fully qualified class name to use for logging.

#### getAnnotatedType

    MessageInterface.AnnotatedType getAnnotatedType()

Returns the annotation type on the interface.

Returns:
  the annotated type

#### validIdRanges

    List<org.jboss.logging.annotations.ValidIdRange> validIdRanges()

Returns a list of `valid id ranges`.

Returns:
  a list of valid id ranges or an empty list

#### getIdLength

    int getIdLength()

The length to pad the id with. A value of less than 0 indicates no padding.

Returns:
  the length to pad the id with